Loading...
Searching...
No Matches
RDKit::CXXAtomIterator< Graph, Vertex, Iterator > Struct Template Reference

`#include <ROMol.h>`

## Classes

struct | CXXAtomIter

## Public Member Functions

| CXXAtomIterator (Graph *graph)
| CXXAtomIterator (Graph *graph, Iterator start, Iterator end)
CXXAtomIter | begin ()
CXXAtomIter | end ()
size_t | size () const

## Public Attributes

Graph * | graph
Iterator | vstart
Iterator | vend

## Detailed Description

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>
struct RDKit::CXXAtomIterator< Graph, Vertex, Iterator >

Definition at line 117 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXAtomIterator() [1/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIterator | ( | Graph * | graph | ) |

inline

Definition at line 197 of file ROMol.h.

References graph, vend, and vstart.

## CXXAtomIterator() [2/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIterator | ( | Graph * | graph,
|  | Iterator | start,
|  | Iterator | end )

inline

Definition at line 200 of file ROMol.h.

References end(), graph, vend, and vstart.

## Member Function Documentation

## begin()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::begin | ( |  | ) |

inline

Definition at line 202 of file ROMol.h.

References graph, and vstart.

## end()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::end | ( |  | ) |

inline

Definition at line 203 of file ROMol.h.

References graph, and vend.

Referenced by CXXAtomIterator().

## size()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

size_t RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::size | ( |  | ) | const

inline

Definition at line 204 of file ROMol.h.

References vend, and vstart.

## Member Data Documentation

## graph

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

Graph* RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::graph

Definition at line 118 of file ROMol.h.

Referenced by begin(), CXXAtomIterator(), CXXAtomIterator(), and end().

## vend

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

Iterator RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::vend

Definition at line 119 of file ROMol.h.

Referenced by CXXAtomIterator(), CXXAtomIterator(), end(), and size().

## vstart

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

Iterator RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::vstart

Definition at line 119 of file ROMol.h.

Referenced by begin(), CXXAtomIterator(), CXXAtomIterator(), and size().

The documentation for this struct was generated from the following file:

- ROMol.h